// Persistence Of Vision raytracer version 3.0
// POV-Ray 3.0 include file


#declare RedTex =  //light beige
 texture { pigment {color rgb<1,.91,.70>}
    finish {
     crand .05 
    }
}

#declare jaw =
difference {
quartic {
  < 1.0,  0.0,  0.0,   0.0,    0.0,  0.0,  0.0,  0.0,  0.0,   0.0,
    0.0,  0.0,  0.0,   0.0,    0.0,  0.0,  0.0,  0.0,  0.0,   0.0,
    1.0,  0.0,  0.0,   0.0,    0.0,  0.0,  0.0,  0.0,  0.0,   0.0,
    1.0,  0.0,  0.0,   0.0, -1000.0 >
   texture { RedTex }
      scale <2.5, .3, .6>
 }
  plane { y, .75 inverse
    texture { RedTex }
 }
  plane { x, -3
    texture { RedTex }
 }
}
# declare SmTooth =
superellipsoid { <1.0, 0.8> 
    scale <.5, .38 .1>
    rotate <-15, 0, 90>
    texture { RedTex }
}

#declare Jag =
union {
object {
  jaw
 }

difference {
object {
  jaw
 }
  plane { y, -1
    texture { RedTex }
   translate <-.25, 0,0>
 }
}

object {
  jaw
   scale <.95, .9, .75>
   translate <-.75, .35, 0>
}

object { //upper main
  jaw
   scale <1, 1.2, 1>
   translate <.3, -1.3, 0>
   rotate <180.0, 0, 10.0>
 }
object {
  jaw
   scale <.99, .9, .75>
   translate <.0, -0.7, 0>
   rotate <180.0, 0, 10.0>
}
object {
  jaw
   scale <.96, .975, .875>
   translate <.65, -0.95, 0>
   rotate <180.0, 0, 10.0>
}

// mouth button
difference {
superellipsoid { <1.0, 0.05> 
    scale <.7, .7, 4>
      texture { RedTex }
   rotate <0,0,90>
   translate <5.5, 1.3, 0> 
}
 sphere { 
    <5.5, 1.3, -4>, .5
      texture { RedTex }
 }
}

  cylinder {<0, 3.5, 0>,<0, -3.5, 0>, 1.75
      texture { RedTex }
   rotate <90,0,0>
   translate <5.5, 1, 0> //,,3.5
}
  cylinder {<0, .04, 0>,<0, -.04, 0>, 1.45
      texture { RedTex }
   rotate <90,0,0>
   translate <5.5, 1.15, -3.63> 
}
  cylinder {<0, .04, 0>,<0, -.04, 0>, 1.0
      texture { RedTex }
   rotate <90,0,0>
   translate <5.5, 1.23, -3.71> 
}
object {
 box { <-3.3, -3.3, -3.3>, <3.3, 3.3, 3.3>
  scale <1.02, .5, 1.02>
    texture { RedTex }
  }
  translate <0, 1, 0>
}

//eye
  cylinder {<0, 3.5, 0>,<0, -3.5, 0>, 1.25
      texture { RedTex }
  //scale .2
   rotate <90,0,0>
   translate <7, 4.1, 0> 
}
  sphere { 
    <7, 4.1, -3>, 1.2
      texture { RedTex }
}

superellipsoid { <1.0, 0.05> 
    scale <1.5, 1.5, 3.4>
    rotate <0, 0, 90>
    translate <7, 4.1, 0>
    texture { RedTex }
 }

//teeth lower
superellipsoid { <1.0, 0.8> 
    scale <1, .75, .2>
    rotate <-15, 0, 90>
    translate <12.8, .4, -1.9>
    texture { RedTex }
 }
superellipsoid { <1.0, 0.8> 
    scale <1, .75, .2>
    rotate <15, 0, 90>
    translate <12.8, .4, 1.9>
    texture { RedTex }
 }
// upper
superellipsoid { <1.0, 0.8> 
    scale <1, .75, .2>
    rotate <-25, 0, 90>
    translate <12.8, 2.6, -1.9>
    texture { RedTex }
 }
superellipsoid { <1.0, 0.8> 
    scale <1, .75, .2>
    rotate <25, 0, 90>
    translate <12.8, 2.6, 1.9>
    texture { RedTex }
 }

object {
 SmTooth
    translate <11.8, .7, -2.3>
}
object {
 SmTooth
    translate <11, .7, -2.45>
}
object {
 SmTooth
    translate <10.2, .695, -2.55>
}
object {
 SmTooth
    translate <9.4, .682, -2.6>
}
object {
 SmTooth
    translate <8.6, .67, -2.6>
}
object {
 SmTooth
    translate <7.8, .66, -2.7>
}
// far--
object {
 SmTooth
    translate <11.8, .7, 2.3>
}
object {
 SmTooth
    translate <11, .7, 2.45>
}
object {
 SmTooth
    translate <10.2, .695, 2.55>
}
object {
 SmTooth
    translate <9.4, .682, 2.6>
}
object {
 SmTooth
    translate <8.6, .67, 2.6>
}
object {
 SmTooth
    translate <7.8, .66, 2.7>
}
//upper
object {
 SmTooth
    translate <11.7, 2.4, -2.3>
}
object {
 SmTooth
    translate <10.9, 2.25, -2.45>
}
object {
 SmTooth
    translate <10.1, 2.1, -2.55>
}
object {
 SmTooth
    translate <9.3, 1.95, -2.6>
}
object {
 SmTooth
    translate <8.5, 1.8, -2.6>
}
object {
 SmTooth
    translate <7.7, 1.65, -2.7>
}
//back upper
object {
 SmTooth
    translate <11.7, 2.4, 2.3>
}
object {
 SmTooth
    translate <10.9, 2.25, 2.45>
}
object {
 SmTooth
    translate <10.1, 2.1, 2.55>
}
object {
 SmTooth
    translate <9.3, 1.95, 2.6>
}
object {
 SmTooth
    translate <8.5, 1.8, 2.6>
}
object {
 SmTooth
    translate <7.7, 1.65, 2.7>
}

union {
object {
 box { <-3, -3, -3>, <3, 3, 3>
  scale <1.15, .5, 1.25>
    texture { RedTex }
  }
  translate <-4.6, -3.1, 0>
}
object {
 box { <-3, -3, -3>, <3, 3, 3>
  scale <1.15, .5, 1.25>
    texture { RedTex }
  }
  translate <-4.6, 6.1, 0>
}
object {
 box { <-3, -3, -3>, <3, 3, 3>
  scale <1.15, 1, 1.25>
    texture { RedTex }
  }
  translate <-4.6, 1.5, 0>
}
 clipped_by {
  plane {y,0 inverse
  rotate <0, 0, -38.0>
  translate <0, -5, 0>
    }
  } 
} //union

difference {
superellipsoid { <1.0, 0.05> 
    scale <1.5, 1.5, 3.2>
    rotate <0, 0, 90>
    translate <1.3, 3, 0>
    texture { RedTex }
 }
  sphere { 
    <1.3, 3, -2.9>, 1
      texture { RedTex }
  }
 }
}
